package main

import (
	"docker-registry/utils"
	"fmt"
	"os"
	"strings"
)

func main() {
	text := utils.ReadStdIn()
	credentials := strings.Split(text, " ")

	if len(credentials) != 2 {
		fmt.Println("Cannot parse the Input from the Auth service")
		os.Exit(utils.ErrorExitCode)
	}
	uName := credentials[0]
	password := credentials[1]

	re, _ := utils.HttpLogin(uName, password)
	isUserAuthenticated := re

	if strings.EqualFold(uName, "root") && strings.EqualFold(password, "bkunyun2021") {
		isUserAuthenticated = true
	}

	if isUserAuthenticated {
		os.Exit(utils.SuccessExitCode)
	} else {
		os.Exit(utils.ErrorExitCode)
	}
}
